# FoundationClasses
TKernel
OSD

# OSD_Printer Class Reference

Selects a printer.
.

`#include <OSD_Printer.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Printer (const TCollection_AsciiString &Name)
| Initializes printer to use with its name. The string must contain only ASCII characters between ' ' and '~'; this means no control character and no extended ASCII code. If it is not the case the exception ConstructionError is raised. .
Standard_EXPORT void | SetName (const TCollection_AsciiString &Name)
| Changes name of printer to use. .
Standard_EXPORT void | Name (TCollection_AsciiString &Name) const
| Returns name of current printer .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

TCollection_AsciiString | myName
OSD_Error | myError

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Printer::OSD_Printer | ( | const TCollection_AsciiString & | Name | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer OSD_Printer::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_Printer::Failed | ( |  | ) | const

Standard_EXPORT void OSD_Printer::Name | ( | TCollection_AsciiString & | Name | ) | const

void OSD_Printer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Printer::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Printer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_Printer::Perror | ( |  | ) |

Standard_EXPORT void OSD_Printer::Reset | ( |  | ) |

Standard_EXPORT void OSD_Printer::SetName | ( | const TCollection_AsciiString & | Name | ) |

## Field Documentation

OSD_Error OSD_Printer::myError `[private]`

TCollection_AsciiString OSD_Printer::myName `[private]`

The documentation for this class was generated from the following file:

- OSD_Printer.hxx